#!/bin/sh
# HELP: SDL2 Event Test
# ICON: sdl

. /opt/muos/script/var/func.sh

if pgrep -f "playbgm.sh" >/dev/null; then
	killall -q "playbgm.sh" "mpg123"
fi

echo app >/tmp/act_go

AUDIO_SRC="/tmp/mux_audio_src"

export SDL_HQ_SCALER="$(GET_VAR "device" "sdl/scaler")"

APP_DIR="$(GET_VAR "device" "storage/rom/mount")/MUOS/application/.sdl2event"

cd "$APP_DIR" || exit

SET_VAR "system" "foreground_process" "sdl2event"

export PIPEWIRE_MODULE_DIR="/usr/lib32/pipewire-0.3"
export SPA_PLUGIN_DIR="/usr/lib32/spa-0.2"

LD_LIBRARY_PATH=/usr/lib32 SDL_ASSERT=always_ignore ./sdl2event

unset SDL_HQ_SCALER
